libzypp 17.37.10

zypp::_logtoolsdetail::DumpValues< TMap > Class Template Reference

std::map wrapper for stream output of values. More...

`#include <zypp-core/base/LogTools.h>`

## Public Types
using | MapValue_const_iterator = typename MapKVIteratorTraits<TMap>::Value_const_iterator

## Public Member Functions
| DumpValues (const TMap &map_r)
const TMap & | map () const
MapValue_const_iterator | begin () const
MapValue_const_iterator | end () const

## Private Attributes
const TMap *const | _map

## Related Symbols
(Note that these are not member symbols.)
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpValues< TMap > &obj)
| Stream output.
template<class TMap>
DumpValues< TMap > | dumpValues (const TMap &map_r)
| Convenience function to create DumpValues from std::map.

## Detailed Description

template<class TMap>
class zypp::_logtoolsdetail::DumpValues< TMap >

std::map wrapper for stream output of values.

Uses MapKVIterator iterate and write the values.

std::map<...> mymap;
std::cout << dumpValues(mymap) << std::endl;
zypp::_logtoolsdetail::DumpValues::dumpValues
DumpValues< TMap > dumpValues(const TMap &map_r)
Convenience function to create DumpValues from std::map.
Definition LogTools.h:396

Definition at line 366 of file LogTools.h.

## Member Typedef Documentation

## ◆ MapValue_const_iterator

template<class TMap>

using zypp::_logtoolsdetail::DumpValues< TMap >::MapValue_const_iterator = typename MapKVIteratorTraits<TMap>::Value_const_iterator

Definition at line 369 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ DumpValues()

template<class TMap>

zypp::_logtoolsdetail::DumpValues< TMap >::DumpValues | ( | const TMap & | map_r | ) |
| inline

Definition at line 372 of file LogTools.h.

## Member Function Documentation

## ◆ map()

template<class TMap>

const TMap & zypp::_logtoolsdetail::DumpValues< TMap >::map | ( |  | ) | const
| inline

Definition at line 376 of file LogTools.h.

## ◆ begin()

template<class TMap>

MapValue_const_iterator zypp::_logtoolsdetail::DumpValues< TMap >::begin | ( |  | ) | const
| inline

Definition at line 379 of file LogTools.h.

## ◆ end()

template<class TMap>

MapValue_const_iterator zypp::_logtoolsdetail::DumpValues< TMap >::end | ( |  | ) | const
| inline

Definition at line 382 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

template<class TMap>

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DumpValues< TMap > & | obj )
| related

Stream output.

Definition at line 391 of file LogTools.h.

## ◆ dumpValues()

template<class TMap>

DumpValues< TMap > dumpValues | ( | const TMap & | map_r | ) |
| related

Convenience function to create DumpValues from std::map.

Definition at line 396 of file LogTools.h.

## Member Data Documentation

## ◆ _map

template<class TMap>

const TMap* const zypp::_logtoolsdetail::DumpValues< TMap >::_map
| private

Definition at line 386 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp-core/base/LogTools.h